package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 订单退单退款表
 * </p>
 *
 * @author liquidnet
 * @since 2021-12-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GoblinFrontCategoryListVo implements Serializable,Cloneable {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "spu信息")
    private List<GoblinGoodsInfoVo> spuList;
    @ApiModelProperty(value = "数据条数")
    private long count;

    private static final GoblinFrontCategoryListVo obj = new GoblinFrontCategoryListVo();

    public static GoblinFrontCategoryListVo getNew() {
        try {
            return (GoblinFrontCategoryListVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinFrontCategoryListVo();
    }
}
